Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 734908 - dev-java/maven-bin-3.6.2 does not respect CFLAGS/LDFLAGS
Summary: dev-java/maven-bin-3.6.2 does not respect CFLAGS/LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qa-cflags ldflags
  Show dependency tree
 
Reported: 2020-07-31 06:42 UTC by Agostino Sarubbo
Modified: 2020-09-29 17:36 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,8.18 KB, text/plain)
2020-07-31 06:42 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-31 06:42:09 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-java/maven-bin-3.6.2 does not respect CFLAGS/LDFLAGS.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
To reproduce this issue you may want to add "-frecord-gcc-switches" to CFLAGS/CXXFLAGS/FFLAGS/FCFLAGS and LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0". If this is not something about c/c++ see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect CFLAGS/LDFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-31 06:42:14 UTC
Created attachment 651810 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-09-29 17:36:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66a75e647cefce3dffc23f81f9ec6ca7799d774d

commit 66a75e647cefce3dffc23f81f9ec6ca7799d774d
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2020-09-29 17:36:23 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2020-09-29 17:36:23 +0000

    dev-java/maven-bin: fixed qa and removed useless files in 3.6.2
    
    Closes: https://bugs.gentoo.org/734908
    Closes: https://bugs.gentoo.org/734906
    Closes: https://bugs.gentoo.org/704618
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-java/maven-bin/maven-bin-3.6.2.ebuild | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)